function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Water1.ogg",-1)
	SetMarker("Isis\\Warp_0029.wp",0,0)
	SetMarker("CANAL",4,0)
	
	if not PutRocks_is_030 then
		AnimationSetToStart("CHI1")
		SetMarker("BUCKET_TOP",4,0)
	else 
		AnimationSetToEnd("CHI1")
		SetMarker("BUCKET_BOTTOM",4,0)
	end
		
		
end

function OnAnimationFinished(objectName)
	if objectName=="CHI1" then
		AnimationSetToEnd("CHI1")
		SetMarker("BUCKET_BOTTOM",4,0)
	end
end
function OnMovieFinished(id)
	ChangeWarp("3D\\Osiris\\Warp_0001.wp")
end


function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "g2I1" then

------------------------------------------------------------
	elseif objectName == "n2I1" then

------------------------------------------------------------
	elseif objectName == "s2I1" then

------------------------------------------------------------
	elseif objectName == "CHI1" then

------------------------------------------------------------
	elseif objectName == "I5I1" then

------------------------------------------------------------
	elseif objectName == "l4I1" then
	
	elseif objectName=="3D\\BUCKET_TOP" then

		if Selected("Rochers01") and not PutRocks_is_030 then
			StartAnimation("CHI1",1,true)
			RemoveFromBag()
			PutRocks_is_030=true
			SetMarker("BUCKET_TOP",-1,0)
		elseif not PutRocks_is_030 then
			DrawText("MAIA0769","MAIA0769.ogg")
		end

	elseif objectName=="3D\\BUCKET_BOTTOM" then
			SetMarker("BUCKET_BOTTOM",-1,0)	
			PlayMovie("Videos/GC_C04_Montage.ogv", "Videos/cine04.ogg")
	
	elseif objectName=="3D\\CANAL" then
			DrawText("MAIA0773","MAIA0773.ogg")	
	elseif true then
		ChangeWarp(objectName)
	end
end
